curl \
-H "Authorization: Bearer API_KEY" \
-H 'Content-Type: application/json' \
-H 'Profile-Key: PROFILE_KEY' \
-X DELETE https://api.ayrshare.com/api/profiles
const API_KEY = "API_KEY";
const profileKey = "PROFILE_KEY";
fetch("https://api.ayrshare.com/api/profiles", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"Authorization": `Bearer ${API_KEY}`,
"Profile-Key": profileKey
}
})
.then((res) => res.json())
.then((json) => console.log(json))
.catch(console.error);
import requests
payload = {}
headers = {'Content-Type': 'application/json',
'Authorization': 'Bearer API_KEY', 'Profile-Key': 'PROFILE_KEY'}
r = requests.delete('https://api.ayrshare.com/api/profiles',
json=payload,
headers=headers)
print(r.json())
<?php
$url = 'https://api.ayrshare.com/api/profiles';
$apiKey = 'API_KEY'; // Replace with your actual API key
$profileKey = 'PROFILE_KEY'; // Replace with your actual Profile key
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => $url,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Content-Type: application/json',
'Authorization: Bearer ' . $apiKey,
'Profile-Key: ' . $profileKey
],
]);
$response = curl_exec($curl);
if (curl_errno($curl)) {
echo 'Error:' . curl_error($curl);
} else {
echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}
curl_close($curl);
using System;
using System.Net.Http;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
using var client = new HttpClient();
var requestUri = "https://api.ayrshare.com/api/profiles";
var bearerToken = "Bearer API_KEY";
var profileKey = "PROFILE_KEY";
using var request = new HttpRequestMessage(HttpMethod.Delete, requestUri);
request.Headers.Add("Authorization", bearerToken);
request.Headers.Add("Profile-Key", profileKey);
try
{
using var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
var responseBody = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseBody);
}
catch (HttpRequestException e)
{
Console.WriteLine($"Error: {e.Message}");
}
}
}
{
"status": "success",
"refId": "823nd82nd92jsnn2932"
}
{
"action": "delete",
"status": "error",
"code": 147,
"message": "Error deleting profile."
}
{
"action": "post",
"status": "error",
"code": 144,
"message": "Some profiles not found. Please verify the Profile Keys."
}
Profiles
Delete a User Profile
Delete a user profile you are the owner of.
DELETE
/
profiles
curl \
-H "Authorization: Bearer API_KEY" \
-H 'Content-Type: application/json' \
-H 'Profile-Key: PROFILE_KEY' \
-X DELETE https://api.ayrshare.com/api/profiles
const API_KEY = "API_KEY";
const profileKey = "PROFILE_KEY";
fetch("https://api.ayrshare.com/api/profiles", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"Authorization": `Bearer ${API_KEY}`,
"Profile-Key": profileKey
}
})
.then((res) => res.json())
.then((json) => console.log(json))
.catch(console.error);
import requests
payload = {}
headers = {'Content-Type': 'application/json',
'Authorization': 'Bearer API_KEY', 'Profile-Key': 'PROFILE_KEY'}
r = requests.delete('https://api.ayrshare.com/api/profiles',
json=payload,
headers=headers)
print(r.json())
<?php
$url = 'https://api.ayrshare.com/api/profiles';
$apiKey = 'API_KEY'; // Replace with your actual API key
$profileKey = 'PROFILE_KEY'; // Replace with your actual Profile key
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => $url,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Content-Type: application/json',
'Authorization: Bearer ' . $apiKey,
'Profile-Key: ' . $profileKey
],
]);
$response = curl_exec($curl);
if (curl_errno($curl)) {
echo 'Error:' . curl_error($curl);
} else {
echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}
curl_close($curl);
using System;
using System.Net.Http;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
using var client = new HttpClient();
var requestUri = "https://api.ayrshare.com/api/profiles";
var bearerToken = "Bearer API_KEY";
var profileKey = "PROFILE_KEY";
using var request = new HttpRequestMessage(HttpMethod.Delete, requestUri);
request.Headers.Add("Authorization", bearerToken);
request.Headers.Add("Profile-Key", profileKey);
try
{
using var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
var responseBody = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseBody);
}
catch (HttpRequestException e)
{
Console.WriteLine($"Error: {e.Message}");
}
}
}
{
"status": "success",
"refId": "823nd82nd92jsnn2932"
}
{
"action": "delete",
"status": "error",
"code": 147,
"message": "Error deleting profile."
}
{
"action": "post",
"status": "error",
"code": 144,
"message": "Some profiles not found. Please verify the Profile Keys."
}
Delete a user profile you are the owner of. The Profile Key in the header parameter is the User Profile to be deleted.
Deleting a user profile permanently removes the profile and all associated posts—this action is
irreversible and cannot be undone. You can delete up to 8 user profiles per second, so please
stagger your API calls when performing bulk deletions to stay within rate limits.
Header Parameters
Body Parameters
Title of the User Profile to delete. Must be present if
profileKey is not passed. title is
case-sensitive and must match the User Profile title.curl \
-H "Authorization: Bearer API_KEY" \
-H 'Content-Type: application/json' \
-H 'Profile-Key: PROFILE_KEY' \
-X DELETE https://api.ayrshare.com/api/profiles
const API_KEY = "API_KEY";
const profileKey = "PROFILE_KEY";
fetch("https://api.ayrshare.com/api/profiles", {
method: "DELETE",
headers: {
"Content-Type": "application/json",
"Authorization": `Bearer ${API_KEY}`,
"Profile-Key": profileKey
}
})
.then((res) => res.json())
.then((json) => console.log(json))
.catch(console.error);
import requests
payload = {}
headers = {'Content-Type': 'application/json',
'Authorization': 'Bearer API_KEY', 'Profile-Key': 'PROFILE_KEY'}
r = requests.delete('https://api.ayrshare.com/api/profiles',
json=payload,
headers=headers)
print(r.json())
<?php
$url = 'https://api.ayrshare.com/api/profiles';
$apiKey = 'API_KEY'; // Replace with your actual API key
$profileKey = 'PROFILE_KEY'; // Replace with your actual Profile key
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => $url,
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Content-Type: application/json',
'Authorization: Bearer ' . $apiKey,
'Profile-Key: ' . $profileKey
],
]);
$response = curl_exec($curl);
if (curl_errno($curl)) {
echo 'Error:' . curl_error($curl);
} else {
echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}
curl_close($curl);
using System;
using System.Net.Http;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
using var client = new HttpClient();
var requestUri = "https://api.ayrshare.com/api/profiles";
var bearerToken = "Bearer API_KEY";
var profileKey = "PROFILE_KEY";
using var request = new HttpRequestMessage(HttpMethod.Delete, requestUri);
request.Headers.Add("Authorization", bearerToken);
request.Headers.Add("Profile-Key", profileKey);
try
{
using var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
var responseBody = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseBody);
}
catch (HttpRequestException e)
{
Console.WriteLine($"Error: {e.Message}");
}
}
}
{
"status": "success",
"refId": "823nd82nd92jsnn2932"
}
{
"action": "delete",
"status": "error",
"code": 147,
"message": "Error deleting profile."
}
{
"action": "post",
"status": "error",
"code": 144,
"message": "Some profiles not found. Please verify the Profile Keys."
}
⌘I
